import { Subject } from 'rxjs';
import { FormControl } from '@angular/forms';
import { OnInit, ElementRef, ChangeDetectorRef } from '@angular/core';
import { NgScrollbar } from 'ngx-scrollbar';
import { Font, FontInterface } from './font-picker.interfaces';
import { FontPickerService } from './font-picker.service';
import * as i0 from "@angular/core";
export declare class FontPickerComponent implements OnInit {
    private cdRef;
    elRef: ElementRef;
    service: FontPickerService;
    private initialFont;
    private testWidth;
    private testContainer;
    private autoWidth;
    private listenerResize;
    private listenerMouseDown;
    private directiveInstance;
    private directiveElementRef;
    private useRootViewContainer;
    font: Font;
    open: boolean;
    loading: boolean;
    top: number;
    left: number;
    position: string;
    arrowTop: number;
    listLabel: string;
    selectedFont: boolean;
    presetVisible: boolean;
    safeFonts: string[];
    fontAmount: number;
    loadedFonts: number;
    presetFonts: Font[];
    googleFonts: Font[];
    currentFonts: Font[];
    fpWidth: number;
    fpHeight: number;
    fpPosition: string;
    fpPositionOffset: number;
    fpSearchText: string;
    fpLoadingText: string;
    fpPopularLabel: string;
    fpResultsLabel: string;
    fpPresetLabel: string;
    fpPresetFonts: string[];
    fpPresetNotice: string;
    fpSizeSelect: boolean;
    fpStyleSelect: boolean;
    fpCancelButton: boolean;
    fpCancelButtonText: string;
    fpCancelButtonClass: string;
    fpUploadButton: boolean;
    fpUploadButtonText: string;
    fpUploadButtonClass: string;
    fpDialogDisplay: string;
    fpFilterByFamilies: string[];
    fpSortByFamilies: boolean;
    dialogArrowSize: number;
    dialogArrowOffset: number;
    searchTerm: FormControl<string>;
    renderMore: Subject<any>;
    dialogElement: ElementRef;
    scrollbar: NgScrollbar;
    handleEsc(event: any): void;
    handleEnter(event: any): void;
    constructor(cdRef: ChangeDetectorRef, elRef: ElementRef, service: FontPickerService);
    ngOnInit(): void;
    trackFont(index: number, font: FontInterface): string;
    setDialog(instance: any, elementRef: ElementRef, fpUseRootViewContainer: boolean, defaultFont: FontInterface, fpWidth: string, fpHeight: string, fpDialogDisplay: string, fpSizeSelect: boolean, fpStyleSelect: boolean, fpPosition: string, fpPositionOffset: string, fpPositionRelativeToArrow: boolean, fpSearchText: string, fpLoadingText: string, fpPopularLabel: string, fpResultsLabel: string, fpPresetLabel: string, fpPresetFonts: string[], fpPresetNotice: string, fpCancelButton: boolean, fpCancelButtonText: string, fpCancelButtonClass: string, fpUploadButton: boolean, fpUploadButtonText: string, fpUploadButtonClass: string, fpFilterByFamilies: string[], fpSortByFamilies: boolean): void;
    updateDialog(font: FontInterface, fpWidth: string, fpHeight: string, fpDialogDisplay: string, fpSizeSelect: boolean, fpStyleSelect: boolean, fpPosition: string, fpPositionOffset: string, fpPositionRelativeToArrow: boolean, fpSearchText: string, fpLoadingText: string, fpPopularLabel: string, fpResultsLabel: string, fpPresetLabel: string, fpPresetFonts: string[], fpPresetNotice: string, fpCancelButton: boolean, fpCancelButtonText: string, fpCancelButtonClass: string, fpUploadButton: boolean, fpUploadButtonText: string, fpUploadButtonClass: string, fpFilterByFamilies: string[], fpSortByFamilies: boolean): void;
    openFontPicker(): void;
    closeFontPicker(): void;
    private isFontAvailable;
    private getPresetFonts;
    private setCurrentFonts;
    private findFont;
    private findFonts;
    private loadMoreFonts;
    private loadGoogleFonts;
    private searchGoogleFonts;
    private isDescendant;
    private createDialogBox;
    private setDialogPosition;
    private onResize;
    private onMouseDown;
    onUploadFont(event: any): void;
    onAcceptSelect(event: any): void;
    onCancelSelect(event: any): void;
    onSelectFont(font: any): void;
    onSearchReset(event: any): void;
    onFontSizeChange(event: any): void;
    onFontStyleChange(event: any, font: Font): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FontPickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FontPickerComponent, "font-picker", never, {}, {}, never, never, false>;
}
