import { OnInit, OnChanges, EventEmitter, ApplicationRef, ElementRef, ChangeDetectorRef, ViewContainerRef, SimpleChanges, ComponentFactoryResolver, Injector } from '@angular/core';
import { FontInterface } from './font-picker.interfaces';
import { FontPickerService } from './font-picker.service';
import * as i0 from "@angular/core";
export declare class FontPickerDirective implements OnInit, OnChanges {
    private injector;
    private resolver;
    private appRef;
    private vcRef;
    private elRef;
    private cdRef;
    private service;
    private dialog;
    fontPicker: FontInterface;
    fpWidth: string;
    fpHeight: string;
    fpFallbackFont: FontInterface;
    fpAutoLoad: boolean;
    fpPresetLabel: string;
    fpPresetFonts: string[];
    fpPresetNotice: string;
    fpSizeSelect: boolean;
    fpStyleSelect: boolean;
    fpDialogDisplay: string;
    fpUseRootViewContainer: boolean;
    fpPosition: string;
    fpPositionOffset: string;
    fpPositionRelativeToArrow: boolean;
    fpSearchText: string;
    fpLoadingText: string;
    fpPopularLabel: string;
    fpResultsLabel: string;
    fpCancelButton: boolean;
    fpCancelButtonText: string;
    fpCancelButtonClass: string;
    fpUploadButton: boolean;
    fpUploadButtonText: string;
    fpUploadButtonClass: string;
    fpFilterByFamilies: string[];
    fpSortByFamilies: boolean;
    fontPickerUpload: EventEmitter<void>;
    fontPickerChange: EventEmitter<FontInterface>;
    onClick(): void;
    constructor(injector: Injector, resolver: ComponentFactoryResolver, appRef: ApplicationRef, vcRef: ViewContainerRef, elRef: ElementRef, cdRef: ChangeDetectorRef, service: FontPickerService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    loadFont(font: FontInterface): void;
    uploadFont(): void;
    openDialog(): void;
    closeDialog(): void;
    toggleDialog(): void;
    fontChanged(font: FontInterface): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FontPickerDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<FontPickerDirective, "[fontPicker]", ["ngxFontPicker"], { "fontPicker": "fontPicker"; "fpWidth": "fpWidth"; "fpHeight": "fpHeight"; "fpFallbackFont": "fpFallbackFont"; "fpAutoLoad": "fpAutoLoad"; "fpPresetLabel": "fpPresetLabel"; "fpPresetFonts": "fpPresetFonts"; "fpPresetNotice": "fpPresetNotice"; "fpSizeSelect": "fpSizeSelect"; "fpStyleSelect": "fpStyleSelect"; "fpDialogDisplay": "fpDialogDisplay"; "fpUseRootViewContainer": "fpUseRootViewContainer"; "fpPosition": "fpPosition"; "fpPositionOffset": "fpPositionOffset"; "fpPositionRelativeToArrow": "fpPositionRelativeToArrow"; "fpSearchText": "fpSearchText"; "fpLoadingText": "fpLoadingText"; "fpPopularLabel": "fpPopularLabel"; "fpResultsLabel": "fpResultsLabel"; "fpCancelButton": "fpCancelButton"; "fpCancelButtonText": "fpCancelButtonText"; "fpCancelButtonClass": "fpCancelButtonClass"; "fpUploadButton": "fpUploadButton"; "fpUploadButtonText": "fpUploadButtonText"; "fpUploadButtonClass": "fpUploadButtonClass"; "fpFilterByFamilies": "fpFilterByFamilies"; "fpSortByFamilies": "fpSortByFamilies"; }, { "fontPickerUpload": "fontPickerUpload"; "fontPickerChange": "fontPickerChange"; }, never, never, false>;
}
