import { Observable } from 'rxjs';
import { HttpClient } from '@angular/common/http';
import { FontInterface, GoogleFontsInterface, FontPickerConfigInterface } from './font-picker.interfaces';
import * as i0 from "@angular/core";
export declare class FontPickerService {
    private http;
    private _config;
    private apiKey;
    private baseUrl;
    constructor(http: HttpClient, _config: FontPickerConfigInterface);
    /**
     * Loads the given font from Google Web Fonts.
     */
    loadFont(font: FontInterface): void;
    /**
     * Returns list of all fonts with given sort option:
     * date || alpha || style || trending || popularity
     */
    getAllFonts(sort: string): Observable<GoogleFontsInterface | null>;
    /**
     * Returns font object for the requested font family.
     */
    getRequestedFont(family: string): Observable<FontInterface>;
    /**
     * Handler method for all possible http request errors.
     */
    private handleHttpError;
    static ɵfac: i0.ɵɵFactoryDeclaration<FontPickerService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<FontPickerService>;
}
